Subject: Re: [bug#35666] [PATCH 0/2] Build a thread-safe hdf5 library

From: Ludovic Courtès <[email-masked]>
Date: Tue, 14 May 2019 12:21:08 +0200

Hi Paul,

Paul Garlick <[email-masked]> skribis:

> I notice in the Debian rules file [1] that the "--enable-threadsafe"
> flag is listed as  one of the SERIAL_FLAGS.  In the Guix case the
> package hdf5-parallel-openmpi inherits its configure flags from the
> hdf5 (serial) package.
>
> Will we also have to explicitly delete the "--enable-threadsafe" flag
> from the hdf5-parallel-openmpi definition?

Good point, I think so.

I did that and pushed it as 549d15712fdc1f58ce0dd11117eb79535ec19f2c.

Let me know if anything is amiss!

Ludo’.